// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#pragma once

#include "RuntimeStrategy.hpp"

class Runtime;

class RuntimeStrategyFactory {
 protected:
	virtual ~RuntimeStrategyFactory() = default;

 public:
	virtual auto constructRuntimeStrategy(Runtime& runtime) -> RuntimeStrategy* = 0;
};
