// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#pragma once

#include <vector>

#include "RuntimeStrategyStats.hpp"
#include "strategies/AbstractWorkStealingWorkerStats.hpp"

class AbstractWorkStealingStrategy;

class AbstractWorkStealingStats : public RuntimeStrategyStats {
 public:
	std::vector<AbstractWorkStealingWorkerStats> workerStats;
	AbstractWorkStealingWorkerStats comulatedWorkerStats;

	AbstractWorkStealingStats(AbstractWorkStealingStrategy &strategy);

	void print() override;
};
