// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#include "strategies/ws/WsStrategyFactory.hpp"

class Runtime;

WsStrategyFactory WsStrategyFactory::INSTANCE;

auto WsStrategyFactory::constructRuntimeStrategy(Runtime& runtime) -> WsStrategy* {
	return new WsStrategy(runtime);
}
